from smartpray4dpackage.colorhelper import IntToRGB  

    
class Material:
    
    lmap = None
        
    def __init__(self, col, amb, dif):
                             
        r, g, b = IntToRGB(col)
        self.lmap = [None]*512                 
        #create lightmap
        for i in xrange(512):
            a = (amb if (i<256) else ((((i-256) * (dif - amb)) * 0.00390625) + amb)) * 2
            if (a<1):
                self.lmap[i] = (int(r*a)<<16)|(int(g*a)<<8)|(int(b*a)<<0)
            else:
                self.lmap[i] = (int(255-(255-r)*(2-a))<<16)|(int(255-(255-g)*(2-a))<<8)|(int((255-(255-b)*(2-a)))<<0)