import c4d
from c4d import plugins

from smartpray4dpackage.config import PLUGIN_ID
from smartpray4dpackage.mydialog import MyDialog    


class MyCommandData(plugins.CommandData):
    
    __dialog = None
    
    #plugin started by user
    def Execute(self, doc):
    
        if self.__dialog is None:
            self.__dialog = MyDialog()

        return self.__dialog.Open(c4d.DLG_TYPE_ASYNC, PLUGIN_ID, 0, 0)
        
    #called from c4d
    def RestoreLayout(self, sec_ref):
    
        if self.__dialog is None:
            self.__dialog = MyDialog()

        return self.__dialog.Restore(PLUGIN_ID, sec_ref)