import c4d
from c4d import gui

from smartpray4dpackage.config import SIZE, STOREFRAMES


class MyUserArea(gui.GeUserArea):

    bmp = None
    txt = None      

    def __init__(self): 
    
        self.bmp = c4d.bitmaps.BaseBitmap()               
        self.bmp.Init(SIZE, SIZE, 24)
        
    #called from c4d
    def DrawMsg(self, x1, y1, x2, y2, msg):
        
        if self.bmp is not None:
            self.DrawBitmap(self.bmp, 0, 0, SIZE*2, SIZE*2, 0, 0, SIZE, SIZE, c4d.BMP_NORMALSCALED)
            if STOREFRAMES:
                c4d.bitmaps.ShowBitmap(self.bmp)
        if self.txt is not None:    
            self.DrawSetTextCol(c4d.Vector(1), c4d.Vector(0))        
            self.DrawText(self.txt, 0, 0)